> ## Documentation Index
> Fetch the complete documentation index at: https://docs.microcrop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a farmer



## OpenAPI

````yaml /api-reference/openapi.json get /farmers/{farmerId}
openapi: 3.1.0
info:
  title: MicroCrop Partner API
  version: 1.0.0
  description: >-
    Parametric crop & livestock insurance API for integrating partners. All
    requests authenticate with an organization API key in the `x-api-key`
    header.
servers:
  - url: https://app.microcrop.app/api
    description: Production (Base mainnet)
security:
  - apiKey: []
tags:
  - name: Farmers
  - name: Plots
  - name: Herds
  - name: Policies
  - name: Payments
  - name: Payouts
  - name: Organization
  - name: Determinations
paths:
  /farmers/{farmerId}:
    get:
      tags:
        - Farmers
      summary: Get a farmer
      parameters:
        - $ref: '#/components/parameters/farmerId'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FarmerEnvelope'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    farmerId:
      name: farmerId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    FarmerEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          $ref: '#/components/schemas/Farmer'
    Farmer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        firstName:
          type: string
        lastName:
          type: string
        phoneNumber:
          type: string
        nationalId:
          type: string
        county:
          type: string
        subCounty:
          type: string
        kycStatus:
          type: string
          enum:
            - PENDING
            - APPROVED
            - REJECTED
    Error:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: object
          properties:
            code:
              type: string
              example: INVALID_INPUT
            message:
              type: string
            details: {}
  responses:
    NotFound:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````